declare class BaseTransformer {
    static fetchCollection<T>(items: T[], camelKey?: boolean): T[];
    static sendCollection<T>(items: T[], snakeKey?: boolean): ({
        [p: string]: any;
    } | T)[];
    static fetch<T>(item: T, camelKey?: boolean): T;
    static send<T>(item: T, snakeKey?: boolean): {
        [key: string]: any;
    };
}
export default BaseTransformer;
